#! /bin/bash
# code to create a train tune and test files by selecting sentence from main files



for((i=1;i<=64122;i+=1))
do
#echo $i
sed -n "$(($i)),$(($i+20))"p CombinedAll_Dogri_N.txt >> train.dogri
sed -n "$(($i)),$(($i+20))"p CombinedAll_Hindi_N.txt >> train.hin

i=$(($i+21))
#echo $i
sed -n "$(($i)),$(($i))"p CombinedAll_Dogri_N.txt >> tune.dogri
sed -n "$(($i)),$(($i))"p CombinedAll_Hindi_N.txt >> tune.hin


i=$(($i+1))
#echo $i
sed -n "$(($i)),$(($i))"p CombinedAll_Dogri_N.txt >> test.dogri
sed -n "$(($i)),$(($i))"p CombinedAll_Hindi_N.txt  >> test.hin


done

echo "done"
